aboutsummaryrefslogtreecommitdiffstats
path: root/tests/00-db-exclusive/run
diff options
context:
space:
mode:
Diffstat (limited to 'tests/00-db-exclusive/run')
-rw-r--r--tests/00-db-exclusive/run4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/00-db-exclusive/run b/tests/00-db-exclusive/run
index 1ae27b6..1528b3b 100644
--- a/tests/00-db-exclusive/run
+++ b/tests/00-db-exclusive/run
@@ -9,8 +9,8 @@ interimap
interimap --watch=60 & pid=$!
cleanup() {
# kill interimap process and its children
- pkill -P "$pid" -TERM
- kill -TERM "$pid"
+ pkill -P "$pid" -TERM || true
+ kill -TERM "$pid" || true
wait
}
trap cleanup EXIT INT TERM